Main Page Widgets Namespaces Book

# Gtk::TextMark Class Reference
[TextView Classes]

Inheritance diagram for Gtk::TextMark:

[legend]
List of all members.

## Public Member Functions
virtual | ~TextMark ()
GtkTextMark* | gobj ()
| Provides access to the underlying C GObject.
const GtkTextMark* | gobj () const
| Provides access to the underlying C GObject.
GtkTextMark* | gobj_copy ()
void | set_visible (bool setting=true)
| Sets the visibility of mark ; the insertion point is normally visible, i.e. you can see it as a vertical bar.
bool | get_visible () const
| Returns `true` if the mark is visible (i.e. a cursor is displayed for it).
Glib::ustring | get_name () const
| Returns the mark name; returns `0` for anonymous marks.
bool | get_deleted () const
| Returns `true` if the mark has been removed from its buffer with Gtk::TextBuffer::delete_mark().
Glib::RefPtr<TextBuffer> | get_buffer ()
| Gets the buffer this mark is located inside, or `0` if the mark is deleted.
Glib::RefPtr<const TextBuffer> | get_buffer () const
| Gets the buffer this mark is located inside, or `0` if the mark is deleted.
bool | get_left_gravity () const
| Determines whether the mark has left gravity.
TextIter | get_iter ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gtk::TextMark> | wrap (GtkTextMark* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::TextMark::~TextMark | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<const TextBuffer> Gtk::TextMark::get_buffer | ( |  | ) | const

| Gets the buffer this mark is located inside, or `0` if the mark is deleted. Returns: The mark's Gtk::TextBuffer.

Glib::RefPtr<TextBuffer> Gtk::TextMark::get_buffer | ( |  | ) |

| Gets the buffer this mark is located inside, or `0` if the mark is deleted. Returns: The mark's Gtk::TextBuffer.

bool Gtk::TextMark::get_deleted | ( |  | ) | const

| Returns `true` if the mark has been removed from its buffer with Gtk::TextBuffer::delete_mark(). Marks can't be used once deleted. Returns: Whether the mark is deleted.

TextIter Gtk::TextMark::get_iter | ( |  | ) |

bool Gtk::TextMark::get_left_gravity | ( |  | ) | const

| Determines whether the mark has left gravity. Returns: `true` if the mark has left gravity, `false` otherwise.

Glib::ustring Gtk::TextMark::get_name | ( |  | ) | const

| Returns the mark name; returns `0` for anonymous marks. Returns: Mark name.

bool Gtk::TextMark::get_visible | ( |  | ) | const

| Returns `true` if the mark is visible (i.e. a cursor is displayed for it). Returns: `true` if visible.

const GtkTextMark* Gtk::TextMark::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkTextMark* Gtk::TextMark::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkTextMark* Gtk::TextMark::gobj_copy | ( |  | ) |

void Gtk::TextMark::set_visible | ( | bool | setting = true | ) |

  | Sets the visibility of mark ; the insertion point is normally visible, i.e. you can see it as a vertical bar. Also, the text widget uses a visible mark to indicate where a drop will occur when dragging-and-dropping text. Most other marks are not visible. Marks are not visible by default. Parameters:
  setting | Visibility of mark.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::TextMark> wrap | ( | GtkTextMark* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- textmark.h